FreeBSD Administration - Bug #502

Can Not Create Shared Memory Segment in FreeNAS Jail
12/18/2014 11:00 PM - Daniel Curtis

Status: Closed Start date: 12/18/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Jails / Containers Estimated time: 0.50 hour
Target version: FreeNAS 9.x Spent time: 1.00 hour
Description

| cam across a problem while setting up a PostgreSQL database server inside of a FreeNAS jail. The problem occurred after |
installed the package and went to initialize the database.

e | initialized the database with the following command:

service postgresqgl initdb

o However the process failed with the following error

creating templatel database in /usr/local/pgsgl/data/base/l1 ... FATAL: could not create s
hared memory segment: Function not implemented

DETAIL: Failed system call was shmget (key=1, size=48, 03600).

child process exited with exit code 1

initdb: removing data directory "/usr/local/pgsgl/data"

e After searching around a bit | found that | needed to add the following sysctl value during the jail's creation:

allow.sysvipc=true

o Or from the shell, alternatively:

warden set flags <jail_name> allow.sysvipc=true

Resources

e https://pcbsd.org/showthread.php?p=107171
¢ https:/forums.freenas.org/index.php?threads/postgresqgl-in-plugin-jail.9058/

History

#1 - 12/19/2014 11:41 AM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 12/26/2014 07:16 PM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/14/2015 10:44 AM - Daniel Curtis

- Target version set to 5

#4 - 02/14/2015 11:22 AM - Daniel Curtis
- Category set to Network Attached Storage

- Target version changed from 5 to FreeNAS 9.x
#5 - 02/14/2015 12:02 PM - Daniel Curtis

- Category changed from Network Attached Storage to Jails / Containers
